TAAS - Feature #261

Currency Comparison Report
07/09/2023 04:21 PM - Anil KV

Status: Testing Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Currency Comparison Report

Description

Coding Currency Comparison Report

History

#1 - 07/10/2023 10:38 AM - Anil KV

- Assignee set to travvise Admin

#2 - 08/19/2023 10:22 AM - Shanto Shaji
Add Eraser On Grid

#3 - 08/19/2023 05:54 PM - Anil KV

Solutions:-

SELECT fk_branch_id,

TO_CHAR (dat_transaction, 'Month-YYYY')
TO_CHAR (dat_transaction, 'YYYY') AS str_year,

fk_ledger_id,
vhr_ledg_currency,
SUM (dbl_ledg_cur_debit) AS dbl_debit,

SUM (dbl_ledg_cur_credit) AS dbl_credit

FROM transaction.tbl_transaction

WHERE dat_transaction BETWEEN '2023-01-01"
AND vhr_ledg_currency IN ('QAR', 'INR',
——AND fk_ledger_id = 1 OR sin_ac_category

——AND fk_branch_id =1
-—AND fk_department_id = 1

GROUP BY fk_branch_id, fk_ledger_id, str_month,

ORDER BY vhr_ledg_currency

Logic:—

— Model

MdlCurrencyCopReportData {
intS1No: number = 0;

binBranchId: number= 0;
binAccountId: number= 0;
strYear: string = "";
strMonth: string = "";
strDisplayValue:string = "";
objCurrencyData: any = {};

}

objCurrencyData:any = {};

for strCurrency of ['QAR', 'INR', 'SAR', 'USD']

objCurrencyData['dbl'+strCurrency+'Debit']

objCurrencyData['dbl'+strCurrency+'Credit']

objCurrencyCopReportData:any = {

str_year,

AS str_month,

'2023-12-31"
'UsD')
?? (Account label drop down based)

'BRANCH' : lstMdlCurrencyCopReportData : MdlCurrencyCopReportData [] = [],

'ACCOUNT' : lstMdlCurrencyCopReportData : MdlCurrencyCopReportData [] =

'MONTH' : lstMdlCurrencyCopReportData : MdlCurrencyCopReportData [] = [],

'YEAR' : lstMdlCurrencyCopReportData : MdlCurrencyCopReportData [] = [],
}
*Loop sqgl recotd

strCurrencyDrString = "dbl"+vhr_ledg_currency+'Debit';
strCurrencyCrString = "dbl"+vhr_ledg_currency+'Credit';
// Branch

objBranch = objCurrencyCopReportData['BRANCH'].find -> MdlCurrencyCopReportData.binBranchId = fk_branch_id
if objBranch == null {
objBranch = new MdlCurrencyCopReportData ();
objBranch.binBranchId = fk_branch_id
objBranch.strDisplayValue = based on fk_branch_id -> fill the field in TS
objBranch.objCurrencyData = copy of objCurrencyData
objCurrencyCopReportData['BRANCH'] .Add (objBranch) ;
}
objBranch.objCurrencyData[strCurrencyDrString] += dbl_debit;
objBranch.objCurrencyData[strCurrencyCrString ] += dbl_credit;
// Ledger

// Month

#4 - 08/19/2023 06:07 PM - Anil KV
NOT USE

SELECT
fk_branch_id,
str_month,
str_year,
fk_ledger_id,

MAX (CASE WHEN vhr_ledg_currency = 'QAR' THEN dbl_debit ELSE 0 END) AS dbl_debit_QAR,
MAX (CASE WHEN vhr_ledg_currency = 'QAR' THEN dbl_credit ELSE 0 END) AS dbl_credit_QAR,
MAX (CASE WHEN vhr_ledg_currency = 'INR' THEN dbl_debit ELSE 0 END) AS dbl_debit_INR,
MAX (CASE WHEN vhr_ledg_currency = 'INR' THEN dbl_credit ELSE 0 END) AS dbl_credit_INR,
MAX (CASE WHEN vhr_ledg_currency = 'SAR' THEN dbl_debit ELSE 0 END) AS dbl_debit_SAR,
MAX (CASE WHEN vhr_ledg_currency = 'SAR' THEN dbl_credit ELSE 0 END) AS dbl_credit_SAR,
MAX (CASE WHEN vhr_ledg_currency = 'USD' THEN dbl_debit ELSE 0 END) AS dbl_debit_USD,
MAX (CASE WHEN vhr_ledg_currency = 'USD' THEN dbl_credit ELSE 0 END) AS dbl_credit_USD
FROM (

—— Your original query here
SELECT
fk_branch_id,
TO_CHAR (dat_transaction, 'MM-YYYY') AS str_month,
TO_CHAR (dat_transaction, 'YYYY') AS str_year,
fk_ledger_id,
vhr_ledg_currency,
SUM(dbl_ledg_cur_debit) AS dbl_debit,
SUM (dbl_ledg_cur_credit) AS dbl_credit
FROM transaction.tbl_transaction
WHERE dat_transaction BETWEEN '2023-01-01' AND '2023-12-31"'
AND vhr_ledg_currency IN ('QAR', 'INR', 'SAR', 'USD'")
GROUP BY fk_branch_id, fk_ledger_id, str_month, str_year, vhr_ledg_currency
) AS subquery
GROUP BY fk_branch_id, str_month, str_year, fk_ledger_id
ORDER BY fk_branch_id, str_year, str_month, fk_ledger_id;

#5 - 08/19/2023 06:41 PM - Anil KV
- Status changed from New to Open
- Assignee changed from travvise Admin to Baseem Shan

- % Done changed from 0 to 10

#6 - 08/23/2023 11:56 AM - Baseem Shan
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#7 - 09/08/2023 06:31 PM - Baseem Shan
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60
#8 - 09/15/2023 04:40 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.ADD ACT US CLIEN A/C'S WHILE FILTERING WISE ACCOUNTS
2.ADD SL NO

#9 - 09/16/2023 06:39 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 09/18/2023 10:18 AM - unnikannan S
TESTING DONE

#11 - 09/20/2023 11:45 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#12 - 09/25/2023 06:53 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 01/02/2024 11:31 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED - 1.SHOW DATA IN EXCEL AS ON WHAT DATA SHOWING IN Ul
FIXED - 2.NO CHANGE WHILE CHANGING ACCOUNT DROP DOWN

FIXED - 3.CANT ADD ACCOUNTS

#14 - 01/09/2024 09:40 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#15 - 01/09/2024 11:54 AM - unnikannan S
TESTING DONE

#16 - 10/03/2024 04:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90
